> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 도메인 검증

> 고객 도메인의 네임서버 위임을 검증합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json POST /v1/public/accounts/{account_id}/domains/{domain}/verify
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}/verify:
    post:
      tags:
        - public-accounts
        - public-domains
      summary: 도메인 검증
      description: 고객 도메인의 네임서버 위임을 검증합니다.
      operationId: >-
        verify_public_domain_v1_public_accounts__account_id__domains__domain__verify_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainVerifyResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainVerifyResponse:
      properties:
        actual_nameservers:
          items:
            type: string
          title: 실제 네임서버
          type: array
        domain_id:
          format: uuid
          title: 도메인 Id
          type: string
        expected_nameservers:
          items:
            type: string
          title: 예상 네임서버
          type: array
        message:
          title: 메시지
          type: string
        missing_nameservers:
          items:
            type: string
          title: 누락된 네임서버
          type: array
        status:
          title: 상태
          type: string
        unexpected_nameservers:
          items:
            type: string
          title: 예상치 못한 네임서버
          type: array
        verified:
          title: 검증됨
          type: boolean
      required:
        - domain_id
        - verified
        - status
        - expected_nameservers
        - actual_nameservers
        - message
      title: DomainVerifyResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````